#ifndef __C4D_SYMBOLS_H__
#define __C4D_SYMBOLS_H__



enum
{
  // Octane Export IDs
  IDS_OE_EXPORT = 1,
  IDS_OE_EXPORT_DESCR,

  // Octane Export Dialog
  OE_EXPORT_DLG = 10000,
  OE_EXPORT_DLG_TITLE,

    IDG_OE_DLG_PROJECT_CONFIG = 10100,
    IDS_OE_DLG_OCTANE_BINARY,
    IDD_OE_DLG_OCTANE_BINARY,
    IDB_OE_DLG_OCTANE_BINARY,
    IDS_OE_DLG_OCTANE_BINARY_FS_TITLE,
    IDS_OE_DLG_PROJECT_PATH,
    IDD_OE_DLG_PROJECT_PATH,
    IDB_OE_DLG_PROJECT_PATH,
    IDS_OE_DLG_PROJECT_PATH_FS_TITLE,
    IDS_OE_DLG_PROJECT_NAME,
    IDD_OE_DLG_PROJECT_NAME,
    IDB_OE_DLG_USE_EXISTING_PROJECT,
    IDS_OE_DLG_NATIVE_UNIT,
    IDD_OE_DLG_NATIVE_UNIT,
    IDS_OE_DLG_NATIVE_UNIT_MM,
    IDS_OE_DLG_NATIVE_UNIT_CM,
    IDS_OE_DLG_NATIVE_UNIT_DM,
    IDS_OE_DLG_NATIVE_UNIT_M,
    IDS_OE_DLG_NATIVE_UNIT_DECM,
    IDS_OE_DLG_NATIVE_UNIT_HM,
    IDS_OE_DLG_NATIVE_UNIT_KM,
    IDS_OE_DLG_NATIVE_UNIT_IN,
    IDS_OE_DLG_NATIVE_UNIT_FT,
    IDS_OE_DLG_NATIVE_UNIT_YD,
    IDS_OE_DLG_NATIVE_UNIT_FL,
    IDS_OE_DLG_NATIVE_UNIT_MI,
    IDB_OE_DLG_USE_EXISTING_PROJECT_FS_TITLE,

      ID_OE_DLG_NATIVE_UNIT_MM = 0,
      ID_OE_DLG_NATIVE_UNIT_CM,
      ID_OE_DLG_NATIVE_UNIT_DM,
      ID_OE_DLG_NATIVE_UNIT_M,
      ID_OE_DLG_NATIVE_UNIT_DECM,
      ID_OE_DLG_NATIVE_UNIT_HM,
      ID_OE_DLG_NATIVE_UNIT_KM,
      ID_OE_DLG_NATIVE_UNIT_IN,
      ID_OE_DLG_NATIVE_UNIT_FT,
      ID_OE_DLG_NATIVE_UNIT_YD,
      ID_OE_DLG_NATIVE_UNIT_FL,
      ID_OE_DLG_NATIVE_UNIT_MI,
      ID_OE_DLG_NATIVE_UNIT_NUMBER,

    IDG_OE_DLG_EXPORT_CONFIG = 10200,

    IDG_OE_DLG_FILM = 10300,
    IDD_OE_DLG_EXPORT_RESOLUTION,
    IDS_OE_DLG_RES_WIDTH,
    IDD_OE_DLG_RES_WIDTH,
    IDS_OE_DLG_RES_HEIGHT,
    IDD_OE_DLG_RES_HEIGHT,
    IDD_OE_DLG_RES_SCALE,
    IDS_OE_DLG_SCALE_100,
    IDS_OE_DLG_SCALE_75,
    IDS_OE_DLG_SCALE_50,
    IDS_OE_DLG_SCALE_25,

      ID_OE_DLG_SCALE_100 = 0,
      ID_OE_DLG_SCALE_75,
      ID_OE_DLG_SCALE_50,
      ID_OE_DLG_SCALE_25,
      ID_OE_DLG_SCALE_NUMBER,

    IDG_OE_DLG_CAMERA = 10400,
    IDD_OE_DLG_EXPORT_CAMERA,
    IDS_OE_DLG_ACTIVE_CAMERA,
    IDD_OE_DLG_ACTIVE_CAMERA,
    IDS_OE_DLG_EDITOR_CAMERA,
    IDD_OE_DLG_EXPORT_LENS_APERTURE,
    IDD_OE_DLG_LENS_APERTURE,
    IDD_OE_DLG_EXPORT_FOCAL_DEPTH,
    IDD_OE_DLG_FOCAL_DEPTH,
    IDD_OE_DLG_EXPORT_MOTION_BLUR,
    IDS_OE_DLG_MOTION_BLUR,
    IDD_OE_DLG_MOTION_BLUR,
    IDS_OE_DLG_MOTION_BLUR_NEXT,
    IDS_OE_DLG_MOTION_BLUR_PREVIOUS,

      ID_OE_DLG_MOTION_BLUR_NEXT = 0,
      ID_OE_DLG_MOTION_BLUR_PREVIOS,

    IDG_OE_DLG_DAYLIGHT_ENVIRON = 10500,
    IDD_OE_DLG_EXPORT_SUN_DIR,
    IDS_OE_DLG_SUN_LIGHT,
    IDD_OE_DLG_SUN_LIGHT,

    IDG_OE_DLG_GPU_DEVICES = 10600,
    IDD_OE_DLG_SPECIFY_GPU_DEV,
    IDD_OE_DLG_GPU_DEV,

    IDG_OE_DLG_EXPORT = 10700,

    IDG_OE_DLG_FRAME = 10800,
    IDB_OE_DLG_EXPORT_ONLY,
    IDB_OE_DLG_RENDER,

    IDG_OE_DLG_ANIMATION = 10900,
    IDS_OE_DLG_IMAGE_PATH,
    IDD_OE_DLG_IMAGE_PATH,
    IDB_OE_DLG_IMAGE_PATH,
    IDS_OE_DLG_START_FRAME,
    IDD_OE_DLG_START_FRAME,
    IDS_OE_DLG_END_FRAME,
    IDD_OE_DLG_END_FRAME,
    IDS_OE_DLG_STEP,
    IDD_OE_DLG_STEP,
    IDS_OE_DLG_PIXEL_SAMPLES,
    IDD_OE_DLG_PIXEL_SAMPLES,
    IDS_OE_DLG_PIXEL_SAMPLES_VERY_LOW,
    IDS_OE_DLG_PIXEL_SAMPLES_LOW,
    IDS_OE_DLG_PIXEL_SAMPLES_MEDIUM,
    IDS_OE_DLG_PIXEL_SAMPLES_MEDIUM_HIGH,
    IDS_OE_DLG_PIXEL_SAMPLES_HIGH,
    IDS_OE_DLG_PIXEL_SAMPLES_VERY_HIGH,
    IDB_OE_DLG_RENDER_ANIM,
    IDS_OE_DLG_IMAGE_PATH_FS_TITLE,

      ID_OE_DLG_PIXEL_SAMPLES_VERY_LOW    = 8,
      ID_OE_DLG_PIXEL_SAMPLES_LOW         = 32,
      ID_OE_DLG_PIXEL_SAMPLES_MEDIUM      = 256,
      ID_OE_DLG_PIXEL_SAMPLES_MEDIUM_HIGH = 512,
      ID_OE_DLG_PIXEL_SAMPLES_HIGH        = 1024,
      ID_OE_DLG_PIXEL_SAMPLES_VERY_HIGH   = 4096,

  // Animation Export Dialog
  OE_ANIM_EXPORT_DLG = 20000,
  OE_ANIM_EXPORT_DLG_TITLE,

    IDD_OE_ADLG_MESSAGE = 20100,
    IDB_OE_ADLG_PAUSE,
    IDB_OE_ADLG_RESUME,
    IDB_OE_ADLG_CLOSE,
    IDB_OE_ADLG_CANCEL,

    IDS_OE_ADLG_MSG_RENDERING = 20200,
    IDS_OE_ADLG_MSG_FINISHED,
    IDS_OE_ADLG_MSG_FRAME_FAILED,
    IDS_OE_ADLG_MSG_FAILED,

    IDS_OE_ADLG_ASK_CLOSE = 20300,
    IDS_OE_ADLG_ASK_CANCEL,

  // Error Strings
  IDS_ERROR_PATH_DOESNT_EXIST = 100000,
  IDS_ERROR_OBJ_EXPORT_FAILED,
  IDS_ERROR_COULD_NOT_LAUNCH_OCTANE
};



#endif  // #ifndef __C4D_SYMBOLS_H__
